Bug 220861 - textproc/py-pytidylib: Update to 0.3.2, Add tidy-html5 support, Add py3 counterpart
Summary: textproc/py-pytidylib: Update to 0.3.2, Add tidy-html5 support, Add py3 count...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-07-19 19:04 UTC by Dmitry Marakasov
Modified: 2018-01-10 17:29 UTC (History)
0 users

See Also:
amdmi3: maintainer-feedback-


Attachments
Patch (3.39 KB, patch)
2017-07-19 19:04 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (3.05 KB, patch)
2017-12-19 11:53 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2017-07-19 19:04:36 UTC
Created attachment 184511 [details]
Patch

- Update to 0.3.2
- Add an option to choose a backend between tidy-lib and tidy-html5. Use the latter by default as the former is gravely outdated and does not support HTML5
- Fix hidden dependencies: the module will only use tidy-lib it was build with
- Add py3- counterpart
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 13:44:31 UTC
Thank you Dmitry

- Are the two libraries drop-in replacements for each other?
- What considerations (if any) might there be for users when switching from the current default to the other?
- Does the test target still work after removing the setup.py patch? I don't believe it will (test_suite is one way of enabling the test command)
- Is the py3- port for a particular dependent port?

- USES=python:<version-spec> should be X.Y+ (matching upstream support declarations) rather than pointing to the metaport (:3)

- I like 'BACKEND' as the option (group) name, and 'library' is still retained in the group description. Thoughts?
Comment 2 Dmitry Marakasov freebsd_committer 2017-12-19 11:52:55 UTC
(In reply to Kubilay Kocak from comment #1)

> - Are the two libraries drop-in replacements for each other?

This is the same project, tidy-html5 is just the newer version.

> - What considerations (if any) might there be for users when switching from
> the current default to the other?

None that I know of. In fact, the older library is just useless since it fails on any modern HTML construct.

> - Does the test target still work after removing the setup.py patch? I don't
> believe it will (test_suite is one way of enabling the test command)

You're right, this is still needed.

> - Is the py3- port for a particular dependent port?
> 
> - USES=python:<version-spec> should be X.Y+ (matching upstream support
> declarations) rather than pointing to the metaport (:3)

No longer applicable.

> - I like 'BACKEND' as the option (group) name, and 'library' is still
> retained in the group description. Thoughts?

Fixed. The original submission was also lacking a required patch.
Comment 3 Dmitry Marakasov freebsd_committer 2017-12-19 11:53:25 UTC
Created attachment 188956 [details]
Patch
Comment 4 Dmitry Marakasov freebsd_committer 2018-01-10 17:25:29 UTC
Maintainer timeout
Comment 5 commit-hook freebsd_committer 2018-01-10 17:29:46 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jan 10 17:29:23 UTC 2018
New revision: 458663
URL: https://svnweb.freebsd.org/changeset/ports/458663

Log:
  - Update to 0.3.2
  - Support both tidy and tidy-html5 libraries as a backend.
    The former is practically useless nowadays as it doesn't handle
    any HTML5 tags, so the latter is the default.

  PR:		220861
  Approved by:	matainainer timeout (koobs, 3 weeks)

Changes:
  head/textproc/py-pytidylib/Makefile
  head/textproc/py-pytidylib/distinfo
  head/textproc/py-pytidylib/files/patch-setup.py
  head/textproc/py-pytidylib/files/patch-tidylib_tidy.py